Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
Ipopt::PDSearchDirCalculator Class Reference

Implementation of the search direction calculator that computes the pure primal dual step for the current barrier parameter. More...

`#include <IpPDSearchDirCalc.hpp>`

Inheritance diagram for Ipopt::PDSearchDirCalculator:
[legend]

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject More...
virtual bool | ComputeSearchDirection ()
| Method for computing the search direction. More...
SmartPtr< PDSystemSolver > | PDSolver ()
| Method to return the pd_solver for additional processing. More...
Constructors/Destructors
| PDSearchDirCalculator (const SmartPtr< PDSystemSolver > &pd_solver)
| Constructor. More...
virtual | ~PDSearchDirCalculator ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::SearchDirectionCalculator
| SearchDirectionCalculator ()
| Constructor. More...
virtual | ~SearchDirectionCalculator ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Static Public Member Functions
static void | RegisterOptions (const SmartPtr< RegisteredOptions > &roptions)
| Methods for IpoptType. More...

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| PDSearchDirCalculator ()
| Default Constructor. More...
| PDSearchDirCalculator (const PDSearchDirCalculator &)
| Copy Constructor. More...
void | operator= (const PDSearchDirCalculator &)
| Overloaded Equals Operator. More...

## Private Attributes
Strategy objects
SmartPtr< PDSystemSolver > | pd_solver_
Algorithmic parameters
bool | fast_step_computation_
| Flag indicating that we trust that the steps from the linear solver are very good and that we don't need any residual checks. More...
bool | mehrotra_algorithm_
| Flag indicating if we want to do Mehrotras's algorithm. More...

## Additional Inherited Members
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Detailed Description

Implementation of the search direction calculator that computes the pure primal dual step for the current barrier parameter.

Definition at line 21 of file IpPDSearchDirCalc.hpp.

## Constructor & Destructor Documentation

Ipopt::PDSearchDirCalculator::PDSearchDirCalculator | ( | const SmartPtr< PDSystemSolver > & | pd_solver | ) |

Constructor.

virtual Ipopt::PDSearchDirCalculator::~PDSearchDirCalculator | ( |  | ) |
| virtual

Default destructor.

Ipopt::PDSearchDirCalculator::PDSearchDirCalculator | ( |  | ) |
| private

Default Constructor.

Ipopt::PDSearchDirCalculator::PDSearchDirCalculator | ( | const PDSearchDirCalculator & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::PDSearchDirCalculator::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| virtual

overloaded from AlgorithmStrategyObject

Implements Ipopt::SearchDirectionCalculator.

virtual bool Ipopt::PDSearchDirCalculator::ComputeSearchDirection | ( |  | ) |
| virtual

Method for computing the search direction.

The computed direction is stored in IpData().delta().

Implements Ipopt::SearchDirectionCalculator.

static void Ipopt::PDSearchDirCalculator::RegisterOptions | ( | const SmartPtr< RegisteredOptions > & | roptions | ) |
| static

Methods for IpoptType.

SmartPtr<PDSystemSolver> Ipopt::PDSearchDirCalculator::PDSolver | ( |  | ) |
| inline

Method to return the pd_solver for additional processing.

Definition at line 47 of file IpPDSearchDirCalc.hpp.

void Ipopt::PDSearchDirCalculator::operator= | ( | const PDSearchDirCalculator & |  | ) |
| private

Overloaded Equals Operator.

## Member Data Documentation

SmartPtr<PDSystemSolver> Ipopt::PDSearchDirCalculator::pd_solver_
| private

Definition at line 73 of file IpPDSearchDirCalc.hpp.

bool Ipopt::PDSearchDirCalculator::fast_step_computation_
| private

Flag indicating that we trust that the steps from the linear solver are very good and that we don't need any residual checks.

Definition at line 81 of file IpPDSearchDirCalc.hpp.

bool Ipopt::PDSearchDirCalculator::mehrotra_algorithm_
| private

Flag indicating if we want to do Mehrotras's algorithm.

This means that a number of options are ignored, or have to be set (or are automatically set) to certain values.

Definition at line 85 of file IpPDSearchDirCalc.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/IpPDSearchDirCalc.hpp